import { cn as e } from "../../../lib/utils.js";
import { t } from "../../../dist-Ber_p4PA.js";
import { jsx as n } from "react/jsx-runtime";
//#region lib/components/ui/atoms/alert.tsx
var r = t("group/alert relative grid w-full gap-0.5 rounded-lg border px-2.5 py-2 text-left text-sm has-data-[slot=alert-action]:relative has-[>svg]:grid-cols-[auto_1fr] has-[>svg]:gap-x-2 has-data-[slot=alert-action]:pr-18 *:[svg:not([class*='size-'])]:size-4 *:[svg]:row-span-2 *:[svg]:translate-y-0.5 *:[svg]:text-current", {
	variants: { variant: {
		default: "bg-card text-card-foreground",
		destructive: "bg-card text-destructive *:data-[slot=alert-description]:text-destructive/90 *:[svg]:text-current",
		warning: "border-warning *:[svg]:text-warning"
	} },
	defaultVariants: { variant: "default" }
});
function i({ className: t, variant: i, ...a }) {
	return /* @__PURE__ */ n("div", {
		className: e(r({ variant: i }), t),
		"data-slot": "alert",
		role: "alert",
		...a
	});
}
function a({ className: t, ...r }) {
	return /* @__PURE__ */ n("div", {
		className: e("font-heading font-medium group-has-[>svg]/alert:col-start-2 [&_a]:underline [&_a]:underline-offset-3 [&_a]:hover:text-foreground", t),
		"data-slot": "alert-title",
		...r
	});
}
function o({ className: t, ...r }) {
	return /* @__PURE__ */ n("div", {
		className: e("text-balance text-muted-foreground text-sm md:text-pretty [&_a]:underline [&_a]:underline-offset-3 [&_a]:hover:text-foreground [&_p:not(:last-child)]:mb-4", t),
		"data-slot": "alert-description",
		...r
	});
}
function s({ className: t, ...r }) {
	return /* @__PURE__ */ n("div", {
		className: e("absolute top-2 right-2", t),
		"data-slot": "alert-action",
		...r
	});
}
//#endregion
export { i as Alert, s as AlertAction, o as AlertDescription, a as AlertTitle };
